function DATAinsert = cellMaker3DEL(IDcentralina,DTcatena,NodeNum,c3DEL,c3DEL_NTC,ListaDate,ARRAYdate_3DEL,...
    DatiExtensometer3D,DatiNTCExtensometer3D,Err3DExtensometerLink,Ch3DEL,EL3D_NTC)

l = ListaDate;
DATAinsert = cell(l,10);
for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdate_3DEL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdate_3DEL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = DatiExtensometer3D(ii,c3DEL);
    DATAinsert{ii,7} = DatiExtensometer3D(ii,c3DEL+1);
    DATAinsert{ii,8} = DatiExtensometer3D(ii,c3DEL+2);
    if Ch3DEL(c3DEL_NTC) == 4
        if EL3D_NTC(c3DEL_NTC) == 1
            DATAinsert{ii,9} = DatiNTCExtensometer3D(ii,c3DEL_NTC);
        end
    end
    DATAinsert{ii,10} = Err3DExtensometerLink(ii,c3DEL_NTC);
end

end
